<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/OtpPaymentPane.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/models/MyMember.inc.php" );
	
	class OtpPaymentAckPage extends DefaultFrontend {
		protected $oOtpPaymentPane;

		public function __construct( $id = "OtpPaymentPage" , $parent = null , $pagetype = "otp_payment"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oOtpPaymentPane = new OtpPaymentPane( "content_widget" , $this );
				$this->oOtpPaymentPane->setAckMode( true );
			} else {
				$this->oOtpPaymentPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}

	}

?>
